File fragment services 3 matching interfaces
Download a file fragment downloadFileChunk
POST /FileChunkService/downloadFileChunk
Definition file service_file_chunk.proto
Available roles DNS User Node Administrator Original definition Request message Response message Original definition Copy coderpc downloadFileChunk ( DownloadFileChunkRequest ) returns ( DownloadFileChunkResponse );
Request message DownloadFileChunkRequestDownload a file fragment
Request message · Field definitions Copy codemessage DownloadFileChunkRequest {
int64 fileChunkId = 1 ;
}
Response message DownloadFileChunkResponse Response message · Field definitions Copy codemessage DownloadFileChunkResponse {
FileChunk fileChunk = 1 ;
}